MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023466Open CASCADE[OCCT] OCCT:Foundation Classespublic2012-10-09 12:012019-01-16 00:42
Reporterdbv 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023466: Move OSD_FontMgr class outside TKernel
DescriptionOSD_FontMgr class should be moved outside TKernel (into TKService for example)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0023242closedbugmaster OSD_FontMgr in TKernel cause dependence on optional component in system (XLib library) 
related to 0023415closeddbv OSD_FontMgr can't idenify aspect for fonts with names dependant on system locale. 
related to 0030439verifiedbugmaster Visualization - extend fonts search within Font_FontMgr::FindFont() on Linux 

-  Notes
(0021693)
dbv (developer)
2012-10-09 12:14

Created new package Font in TKService. Classes FontMgr and SystemFont have been moved from OSD package to Font package.

Changes have been pushed to the git branch CR23466.

Dear Kirill,
Please review.
(0021727)
mkv (tester)
2012-10-11 15:18

Dear BugMaster,
Branch CR23466 (and products from GIT master) was compiled on Linux and Windows platforms.
There are compilation errors:

http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR23466/job/mnt-CR23466-master_build_occt_linux/1/parsed_console/? [^]
.....................................................
In file included from ../../../inc/Visual3d_View.hxx:59,
from ../../../drv/Visual3d/Visual3d_HSetOfView_0.cxx:13:
../../../inc/Graphic3d_CGraduatedTrihedron.hxx:30:31: error: Font_FontAspect.hxx: No such file or directory
........................................................
In file included from ../../../inc/Visual3d_View.hxx:59,
from ../../../drv/Visual3d/Visual3d_HSetOfView_0.cxx:13:
../../../inc/Graphic3d_CGraduatedTrihedron.hxx:68: error: 'Font_FontAspect' does not name a type
../../../inc/Graphic3d_CGraduatedTrihedron.hxx:74: error: 'Font_FontAspect' does not name a type
In file included from ../../../drv/Visual3d/Visual3d_HSetOfView_0.cxx:13:
../../../inc/Visual3d_View.hxx:354: error: 'Font_FontAspect' has not been declared
../../../inc/Visual3d_View.hxx:354: error: 'Font_FontAspect' has not been declared
In file included from ../../../drv/Visual3d/Visual3d_HSetOfView_0.cxx:13:
../../../inc/Visual3d_View.hxx:356: error: ISO C++ forbids declaration of 'Font_FontAspect' with no type
../../../inc/Visual3d_View.hxx:356: error: expected ',' or '...' before 'styleOfNames'
(0021731)
dbv (developer)
2012-10-11 16:54

Dear mkv,

Please check your local branch.
Additionally fixed in products samples CSharp wrap for Font_FontAspect enum. Changes have been pushed to the git products branch CR23466.
(0021732)
dbv (developer)
2012-10-11 17:51

Branch has been rebased on current master.

Please test git branches:
occt CR23466_1
occt-products CR23466
(0021754)
mkv (tester)
2012-10-12 15:06

Dear BugMaster,
Branch CR23466_1 (and CR23466 from occt-products) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR23466-1-CR23466-products_12102012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-10-05-master-products_05102012/lin
See test cases in /QADisk/occttests/tests/ED
(0022047)
kgv (developer)
2012-11-01 11:52

Dear Bugmaster,

please consider integration of changes in EXTRENLIB files pushed to CR23466_2 branch forgotten within original patch. There no need to perform regression testing - patch could be checked during regular pre-integration cumulative testing.

Removing TKernel dependency from Xlib was one of points for this bug record.

- Related Changesets
occt: master eeaaaefb
Timestamp: 2012-10-11 13:45:15
Author: dbv
Details ] Diff ]
0023466: Move OSD_FontMgr class outside TKernel

Created new package Font in TKService.
Classes FontMgr and SystemFont have been moved from OSD package to Font package.
mod - adm/UDLIST Diff ] File ]
add - src/Font/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectText3d.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectText3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CGraduatedTrihedron.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group_8.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_TextPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Tool.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectText.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectText.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display_1.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FontMgr.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FontMgr.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OSD/FILES Diff ] File ]
mod - src/OSD/OSD.cdl Diff ] File ]
mod - src/TKService/PACKAGES Diff ] File ]
mod - src/V3d/V3d.cdl Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_Layer.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-09 12:01 dbv New Issue
2012-10-09 12:01 dbv Assigned To => dbv
2012-10-09 12:02 dbv Relationship added child of 0023242
2012-10-09 12:14 dbv Note Added: 0021693
2012-10-09 12:14 dbv Assigned To dbv => kgv
2012-10-09 12:14 dbv Status new => resolved
2012-10-10 17:43 bugmaster Target Version => 6.5.4
2012-10-11 15:18 mkv Note Added: 0021727
2012-10-11 15:19 mkv Test case number => Not needed
2012-10-11 15:19 mkv Assigned To kgv => dbv
2012-10-11 15:19 mkv Status resolved => assigned
2012-10-11 16:54 dbv Note Added: 0021731
2012-10-11 16:54 dbv Assigned To dbv => mkv
2012-10-11 16:54 dbv Status assigned => resolved
2012-10-11 17:51 dbv Note Added: 0021732
2012-10-12 15:06 mkv Note Added: 0021754
2012-10-12 15:07 mkv Assigned To mkv => bugmaster
2012-10-12 15:07 mkv Status resolved => reviewed
2012-10-12 15:07 mkv Status reviewed => tested
2012-10-15 17:24 dbv Relationship added related to 0023415
2012-10-16 15:21 dbv Changeset attached => occt master eeaaaefb
2012-10-16 15:21 dbv Assigned To bugmaster => dbv
2012-10-16 15:21 dbv Status tested => verified
2012-10-16 15:21 dbv Resolution open => fixed
2012-11-01 11:52 kgv Note Added: 0022047
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed
2013-01-14 13:55 kgv Relationship replaced has duplicate 0023242
2019-01-16 00:42 kgv Relationship added related to 0030439


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker